/*
 * Copyright (c) 2019-2020. Developed by Hedgecode.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hedgecode.chess.scanner;

import org.hedgecode.chess.scanner.proxy.Proxy;
import org.hedgecode.chess.scanner.proxy.ProxyParams;

/**
 * ChessHogScannerApp
 *
 * @author Dmitry Samoshin aka gotty
 */
public final class ChessHogScannerApp {

    public static void main(String[] args) throws ChessHogScannerException {

        ChessHogScannerConsole.init();

        boolean useProxy = Boolean.parseBoolean(
                ChessHogScannerProperties.get("scanner.use.proxy")
        );

        if (useProxy) {
            ProxyParams proxyParams = new ProxyParams(
                    ChessHogScannerProperties.get("scanner.proxy.server"),
                    ChessHogScannerProperties.get("scanner.proxy.auth")
            );
            ChessHogScannerConsole.console(proxyParams.toString());
            Proxy.setProxy(proxyParams);
        }

        // todo

    }

}
