/*
 * Copyright (c) 2019-2020. Developed by Hedgecode.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hedgecode.chess.scanner.proxy.type;

import java.net.Authenticator;
import java.net.PasswordAuthentication;

/**
 * Proxy server authenticator by user/password.
 *
 * @author Dmitry Samoshin aka gotty
 */
public class ProxyAuthenticator extends Authenticator {

    private PasswordAuthentication passwordAuthentication;

    ProxyAuthenticator(String user, String password) {
        passwordAuthentication = new PasswordAuthentication(
                user, password == null ? new char[]{} : password.toCharArray()
        );
    }

    @Override
    protected PasswordAuthentication getPasswordAuthentication() {
        return passwordAuthentication;
    }

}
